Package org.flowable.common.engine.api

# Class FlowableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.flowable.common.engine.api.FlowableException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BpmnError`, `FlowableBatchPartMigrationException`, `FlowableClassLoadingException`, `FlowableForbiddenException`, `FlowableIllegalArgumentException`, `FlowableIllegalStateException`, `FlowableObjectNotFoundException`, `FlowableOptimisticLockingException`, `FlowableTaskAlreadyClaimedException`, `FlowableUnrecoverableJobException`, `FlowableWrongDbException`

public class FlowableException extends RuntimeException
Runtime exception that is the superclass of all Flowable exceptions.

Author:
  Tom Baeyens
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `isLogged`
  `protected boolean`
  `reduceLogLevel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableException(String message)`
  `FlowableException(String message, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isLogged()`
  `boolean`
  `isReduceLogLevel()`
  `void`
  `setLogged(boolean isLogged)`
  `void`
  `setReduceLogLevel(boolean reduceLogLevel)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isLogged

    protected boolean isLogged

  - ### reduceLogLevel

    protected boolean reduceLogLevel

- ## Constructor Details

  - ### FlowableException

    public FlowableException(String message, Throwable cause)

  - ### FlowableException

    public FlowableException(String message)

- ## Method Details

  - ### isLogged

    public boolean isLogged()

  - ### setLogged

    public void setLogged(boolean isLogged)

  - ### isReduceLogLevel

    public boolean isReduceLogLevel()

  - ### setReduceLogLevel

    public void setReduceLogLevel(boolean reduceLogLevel)